Autor Wątek: Gimagereader-Qt5  (Przeczytany 1156 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Gimagereader-Qt5
« dnia: Czerwiec 24, 2015, 09:25:50 »
Gimagereader to OCR działający na silniku tesseract. W AUR jest wersja oparta o Qt4 (zresztą już przestarzała). Sam projekt oferuje możliwość zbudowania GUI w oparciu o biblioteki Qt4, Qt5 oraz GTK. Poniżej prezentuję wersję dla Qt5 (bo sam używam głównie tych bibliotek). Dla poprawnego działania, wymaga oprócz zainstalowania samego silnika tesseract również instalacji odpowiedniego zbioru danych, dla języka z którego się chce korzystać. Paczki te mają nazwy tesseract-data-*, gdzie w miejscu * jest skrót nazwy danego języka. Niestety skróty te nie są zgodne z ISO i tak np. dla języka polskiego jest to "pol" zamiast "pl".
Budowę i instalację rozpoczynamy od zbudowania i zainstalowania bibliotek o nazwie qtspell, również w wersji Qt5. W AUR jest ta biblioteka, w wersji budowanej w oparciu o Qt4 (również jest przestarzała).
Uwaga: Jeśli ktoś ma zainstalowaną wersję gimagereadera z AUR (wersja Qt4) to instalacja, którą tu opisuję wpierw podmieni qtspell na qtspell-qt5, a następnie gimagereader na gimagereader-qt5. Jednakże jeśli coś się w instalacji nie uda, to gimagereader (Qt4) nie będzie poprawnie pracować z qtspell-qt5, zatem trzeba będzie przywrócić obie te paczki do wersji "wyjściowych" (Qt4), czyli z AUR. W tym celu konieczne będzie odinstalowanie qtspell-qt5 i gimagereader-qt5, albowiem paczki z AUR nie znają tych wersji.

QtSpell-Qt5
PKGBUILD
# Maintainer for Qt5 version: pavbaranov
Contributor: Tristelune <tristelune@archlinux.info>

pkgname=qtspell-qt5
_pkgname=qtspell
pkgver=0.7.4
pkgrel=1
pkgdesc="Spell checking for Qt text widgets"
arch=('i686' 'x86_64')
url="https://github.com/manisandro/qtspell"
license=('GPL3')
depends=('enchant' 'iso-codes')
makedepends=('cmake' 'qt5-base')
conflicts=('qtspell')
provides=('qtspell')
source=(
"https://github.com/manisandro/qtspell/releases/download/${pkgver}/${_pkgname}-${pkgver}.tar.xz"
)
sha256sums=('eca29599e402c03140528a601205a2ee55d64a24fe26561007095dc612e4c2ab')

prepare() {
        mkdir -p build
}
build() {
  cd build
 
  cmake ../qtspell-0.7.4 \
        -DUSE_QT5=ON \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -DBUILD_TESTING=OFF
 
  make
}

package() {
  cd build
  make DESTDIR="$pkgdir" install
}
Gimagereader-Qt5
PKGBUILD
# Maintainer for Qt5 version: pavbaranov
Contributor: Tristelune <tristelune@archlinux.info>
# Contributor: Robert Knauer <robert@privatdemail.net>
# Contributor: Frederic Bezies <fredbezies@gmail.com>
# Contributor: tlm

pkgname=gimagereader-qt5
_pkgname=gimagereader
pkgver=3.1.1
pkgrel=1
pkgdesc="A graphical frontend to tesseract-ocr"
arch=('i686' 'x86_64')
url="http://sourceforge.net/projects/gimagereader/"
license=('GPL3')
depends=('hicolor-icon-theme' 'sane' 'tesseract' 'qtspell-qt5' 'poppler-qt5')
makedepends=('desktop-file-utils' 'intltool' 'qt5-base')
conflicts=('gimagereader')
provides=('gimagereader')
install=${pkgname}.install
source=(
  "http://sourceforge.net/projects/gimagereader/files/${pkgver}/${_pkgname}-${pkgver}.tar.xz"
)
sha256sums=('461ae7fac1dc0e0b85f30a8237ddd2684ee77061645d3f77747d0079f5093638')

build() {

  mkdir build
  cd build

  cmake ../gimagereader-3.1.1 \
        -DINTERFACE_TYPE=qt5 \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -DLIB_INSTALL_DIR=lib \
        -DBUILD_TESTING=OFF

  make
}

package() {
  cd build
  make DESTDIR="$pkgdir" install
}
gimagereader-qt5.install
post_install() {
    glib-compile-schemas /usr/share/glib-2.0/schemas
        update-desktop-database -q
    gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
}

post_upgrade() {
    post_install $1
}

post_remove() {
    post_install $1
}

Teraz należy doinstalować tesseract-data, np. dla języka polskiego:
# pacman -S tesseract-data-pol

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: Gimagereader-Qt5
« Odpowiedź #1 dnia: Lipiec 01, 2015, 14:01:42 »
Pojawiła się nowa wersja 3.1.2. Podaję PKGBUILD, albowiem nic innego nie wymaga zmiany w stosunku do poprzednio podanych informacji.
PKGBUILD
# Manitainer for qt5 version: pavbaranov
# Maintainer: Tristelune <tristelune@archlinux.info>
# Contributor: Robert Knauer <robert@privatdemail.net>
# Contributor: Frederic Bezies <fredbezies@gmail.com>
# Contributor: tlm

pkgname=gimagereader-qt5
_pkgname=gimagereader
pkgver=3.1.2
pkgrel=1
pkgdesc="A graphical frontend to tesseract-ocr"
arch=('i686' 'x86_64')
url="http://sourceforge.net/projects/gimagereader/"
license=('GPL3')
depends=('hicolor-icon-theme' 'sane' 'tesseract' 'qtspell-qt5' 'poppler-qt5')
makedepends=('desktop-file-utils' 'intltool' 'qt5-base')
conflicts=('gimagereader')
install=${pkgname}.install
source=(
  "http://sourceforge.net/projects/gimagereader/files/${pkgver}/${_pkgname}-${pkgver}.tar.xz"
)
sha256sums=('1fbe97554e37902f143c53ad122c0dcb5ca2dcebba53a9f8c8da727cbb0dcaf2')

build() {

  mkdir build
  cd build

  cmake ../{_pkgname}-${pkgver} \
        -DINTERFACE_TYPE=qt5 \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -DLIB_INSTALL_DIR=lib \
        -DBUILD_TESTING=OFF

  make
}

package() {
  cd build
  make DESTDIR="$pkgdir" install
}

 

Polityka cookies
Darmowe Fora | Darmowe Forum
polonuspks polskibus rootsunderground watahaniebieskiegoksiezyca lodz